From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/parted/
Date: Sun, 7 May 2023 15:28:11 +0000 (UTC) [thread overview]
Message-ID: <1683473287.0ee374f5b633cfd00227459bb08fa00999c8a1a1.mattst88@gentoo> (raw)
commit: 0ee374f5b633cfd00227459bb08fa00999c8a1a1
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun May 7 15:15:29 2023 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun May 7 15:28:07 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ee374f5
sys-block/parted: Version bump to 3.6
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
sys-block/parted/Manifest | 2 +
sys-block/parted/parted-3.6.ebuild | 76 ++++++++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/sys-block/parted/Manifest b/sys-block/parted/Manifest
index 34c5e6da7537..3b982aa065ed 100644
--- a/sys-block/parted/Manifest
+++ b/sys-block/parted/Manifest
@@ -1,2 +1,4 @@
DIST parted-3.5.tar.xz 1871824 BLAKE2B 5a63987f4d2c0bfd28f36112c2354f8dce7f87e962f4772bb0db34c070dd773b280959c6c33128422e8d60efe454c825401551c3c88541839b9a859a3d207f55 SHA512 87fc69e947de5f0b670ee5373a7cdf86180cd782f6d7280f970f217f73f55ee1b1b018563f48954f3a54fdde5974b33e07eee68c9ccdf08e621d3dc0e3ce126a
DIST parted-3.5.tar.xz.sig 488 BLAKE2B 001d01be154b3c2fd232c6436d7a5d21a2d006a5b894aef1caff5297f993cae53fd6590a0eb3f40e34be5b5fcfbb20cd53d6c8949b8521f848bb7c0bde7dff0e SHA512 2ea1209325595416aa9ee27a0e85ca38bce50ca885d3b52ab1c1fb1b68b78d7887386ea3120274648056d2f1d9dca00b77236991765d84ad226c1b1f5a3f5c62
+DIST parted-3.6.tar.xz 1896164 BLAKE2B 99b6d096e4db05144c98e9f0a9a97c647aa911ee5df031244b03d5223f709d43d9302cef12dd4b2f97f42ec476510561b7f8b3b1ef7cb09d0a7c4d512e7a6739 SHA512 034a44b25718acba175212019d24f092972a791c5bd1d921ae91e17478657a77c5c5dd0c832bed7968c3a07ec6c65c0785acfac2f90c1ca5e1692f3c141693ef
+DIST parted-3.6.tar.xz.sig 508 BLAKE2B 92fbf624cfeb474e36d43954ecf6c42cf86557b99c7cd477c648bdeefb3ca2b40c51c320b20ea91075276d9ccc1da4219cd843b2916157c564c92a34a35ec55f SHA512 7c845026937b29fb49085ef9e3354226b73a1c3b5f9082d440d9a8ac13d76b1d07dae0bc10d8c974d4e57bc582f38c0a908e80718dd1ff1adfad3b04699c672c
diff --git a/sys-block/parted/parted-3.6.ebuild b/sys-block/parted/parted-3.6.ebuild
new file mode 100644
index 000000000000..54fd1ac20106
--- /dev/null
+++ b/sys-block/parted/parted-3.6.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/bcl.asc
+
+inherit autotools verify-sig
+
+DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
+HOMEPAGE="https://www.gnu.org/software/parted/"
+SRC_URI="
+ mirror://gnu/${PN}/${P}.tar.xz
+ verify-sig? ( mirror://gnu/${PN}/${P}.tar.xz.sig )
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+debug device-mapper nls readline"
+
+# util-linux for libuuid
+RDEPEND="
+ >=sys-fs/e2fsprogs-1.27
+ sys-apps/util-linux
+ device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+ readline? (
+ >=sys-libs/ncurses-5.7-r7:0=
+ >=sys-libs/readline-5.2:0=
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ nls? ( >=sys-devel/gettext-0.12.1-r2 )
+ verify-sig? ( >=sec-keys/openpgp-keys-bcl-20230315 )
+ virtual/pkgconfig
+"
+
+DOCS=(
+ AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/{API,FAT,USER.jp}
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.2-po4a-mandir.patch
+ "${FILESDIR}"/${PN}-3.3-atari.patch
+ # https://lists.gnu.org/archive/html/bug-parted/2022-02/msg00000.html
+ "${FILESDIR}"/${PN}-3.4-posix-printf.patch
+)
+
+# false positive
+QA_CONFIG_IMPL_DECL_SKIP="MIN"
+
+src_prepare() {
+ default
+ eautoconf
+
+ touch doc/pt_BR/Makefile.in || die
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug)
+ $(use_enable device-mapper)
+ $(use_enable nls)
+ $(use_with readline)
+ --disable-rpath
+ --disable-static
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${ED}" -type f -name '*.la' -delete || die
+}
next reply other threads:[~2023-05-07 15:28 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-07 15:28 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-12 4:05 [gentoo-commits] repo/gentoo:master commit in: sys-block/parted/ Sam James
2023-12-02 11:12 Michał Górny
2023-12-02 11:05 Arthur Zamarin
2023-12-02 10:45 Arthur Zamarin
2023-12-02 10:43 Michał Górny
2023-12-02 10:27 Arthur Zamarin
2023-12-02 10:23 Arthur Zamarin
2023-12-02 10:15 Arthur Zamarin
2023-12-02 10:14 Arthur Zamarin
2023-06-10 8:41 Michał Górny
2023-06-09 14:17 Sam James
2023-06-09 14:17 Sam James
2023-06-09 14:17 Sam James
2023-06-09 14:03 Arthur Zamarin
2023-06-09 14:01 Arthur Zamarin
2023-06-09 13:51 Arthur Zamarin
2023-03-15 8:32 Michał Górny
2023-02-28 17:08 Michał Górny
2023-02-28 16:54 Michał Górny
2022-10-18 2:47 Sam James
2022-10-18 2:18 Sam James
2022-09-21 4:21 Sam James
2022-06-21 9:41 David Seifert
2022-06-02 5:06 Jakov Smolić
2022-06-02 3:23 Sam James
2022-06-02 3:23 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:05 Sam James
2022-06-02 3:05 Sam James
2022-05-26 4:45 WANG Xuerui
2022-04-21 23:35 Sam James
2022-01-01 20:08 David Seifert
2021-08-14 3:48 Sam James
2021-07-31 13:40 Michał Górny
2021-05-27 14:34 Yixun Lan
2021-03-07 22:39 Michał Górny
2021-03-07 19:43 Sam James
2021-03-06 7:26 Sam James
2021-03-05 20:34 Sam James
2021-03-05 20:33 Sam James
2021-03-05 20:32 Sam James
2021-03-05 14:25 Agostino Sarubbo
2021-03-05 14:19 Agostino Sarubbo
2021-01-28 8:35 Michał Górny
2020-12-28 17:27 Mike Gilbert
2020-11-14 20:32 Sam James
2020-11-12 7:46 Sergei Trofimovich
2020-11-12 7:45 Sergei Trofimovich
2020-11-12 7:41 Sergei Trofimovich
2020-11-12 7:34 Sergei Trofimovich
2020-11-12 0:35 Thomas Deutschmann
2020-11-08 0:32 Sam James
2020-11-08 0:32 Sam James
2020-11-07 18:12 Andreas K. Hüttel
2020-11-07 8:56 Michał Górny
2020-11-07 8:55 Michał Górny
2020-11-07 8:55 Michał Górny
2020-11-07 8:55 Michał Górny
2020-10-31 11:11 David Seifert
2020-02-15 10:03 David Seifert
2019-12-03 22:57 Jeroen Roovers
2019-10-11 5:06 Jeroen Roovers
2019-10-11 5:06 Jeroen Roovers
2019-10-11 5:06 Jeroen Roovers
2019-05-01 10:52 Jeroen Roovers
2019-05-01 10:52 Jeroen Roovers
2019-04-15 23:55 Aaron Bauman
2018-11-27 12:32 Jeroen Roovers
2018-11-27 12:32 Jeroen Roovers
2018-03-21 21:42 Jeroen Roovers
2018-03-15 13:56 Mikle Kolyada
2018-02-08 11:07 Jeroen Roovers
2018-01-30 8:30 Jeroen Roovers
2018-01-17 8:11 Jeroen Roovers
2017-11-13 22:18 Sergei Trofimovich
2017-08-29 21:39 Thomas Deutschmann
2017-08-25 13:24 Mikle Kolyada
2017-07-20 17:13 Jeroen Roovers
2017-07-20 7:07 Jeroen Roovers
2017-07-12 8:39 Sergei Trofimovich
2017-05-22 18:41 Tobias Klausmann
2017-05-18 13:48 Michael Weber
2017-05-13 11:10 Jeroen Roovers
2016-06-17 11:31 Alexis Ballier
2016-01-02 4:08 Joshua Kinard
2015-08-21 9:35 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1683473287.0ee374f5b633cfd00227459bb08fa00999c8a1a1.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox